Alokai

SapccApiAddToCartEntryGroupRequest

Request parameters for addToCartEntryGroup operation in SapccApi. SapccApiAddToCartEntryGroupRequest

interface SapccApiAddToCartEntryGroupRequest {
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly entryGroupNumber: number;
	readonly fields?: string;
	readonly orderEntry: OrderEntry;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier. {string} SapccApiAddToCartEntryGroup
cartIdRequiredstringCart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiAddToCartEntryGroup
entryGroupNumberRequirednumberEach entry group in a cart has a specific entry group number. Entry group numbers are integers starting at one. They are defined in ascending order. {number} SapccApiAddToCartEntryGroup
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiAddToCartEntryGroup
orderEntryRequiredOrderEntry{OrderEntry} SapccApiAddToCartEntryGroup
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user. {string} SapccApiAddToCartEntryGroup

Referenced Types

On this page